diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-plugins-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-plugins-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-plugins-list-table.php	2012-11-28 16:20:45.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-plugins-list-table.php	2013-07-08 08:04:07.000000000 -0500
***************
*** 22,28 ****
  			$status = $_REQUEST['plugin_status'];
  
  		if ( isset($_REQUEST['s']) )
! 			$_SERVER['REQUEST_URI'] = add_query_arg('s', stripslashes($_REQUEST['s']) );
  
  		$page = $this->get_pagenum();
  	}
--- 22,28 ----
  			$status = $_REQUEST['plugin_status'];
  
  		if ( isset($_REQUEST['s']) )
! 			$_SERVER['REQUEST_URI'] = add_query_arg('s', wp_unslash($_REQUEST['s']) );
  
  		$page = $this->get_pagenum();
  	}
***************
*** 53,59 ****
  
  		$screen = $this->screen;
  
! 		if ( ! is_multisite() || ( $screen->is_network && current_user_can('manage_network_plugins') ) ) {
  			if ( apply_filters( 'show_advanced_plugins', true, 'mustuse' ) )
  				$plugins['mustuse'] = get_mu_plugins();
  			if ( apply_filters( 'show_advanced_plugins', true, 'dropins' ) )
--- 53,59 ----
  
  		$screen = $this->screen;
  
! 		if ( ! is_multisite() || ( $screen->in_admin( 'network' ) && current_user_can( 'manage_network_plugins' ) ) ) {
  			if ( apply_filters( 'show_advanced_plugins', true, 'mustuse' ) )
  				$plugins['mustuse'] = get_mu_plugins();
  			if ( apply_filters( 'show_advanced_plugins', true, 'dropins' ) )
***************
*** 72,78 ****
  
  		set_transient( 'plugin_slugs', array_keys( $plugins['all'] ), DAY_IN_SECONDS );
  
! 		if ( ! $screen->is_network ) {
  			$recently_activated = get_option( 'recently_activated', array() );
  
  			foreach ( $recently_activated as $key => $time )
--- 72,78 ----
  
  		set_transient( 'plugin_slugs', array_keys( $plugins['all'] ), DAY_IN_SECONDS );
  
! 		if ( ! $screen->in_admin( 'network' ) ) {
  			$recently_activated = get_option( 'recently_activated', array() );
  
  			foreach ( $recently_activated as $key => $time )
***************
*** 83,97 ****
  
  		foreach ( (array) $plugins['all'] as $plugin_file => $plugin_data ) {
  			// Filter into individual sections
! 			if ( is_multisite() && ! $screen->is_network && is_network_only_plugin( $plugin_file ) ) {
  				unset( $plugins['all'][ $plugin_file ] );
! 			} elseif ( ! $screen->is_network && is_plugin_active_for_network( $plugin_file ) ) {
  				unset( $plugins['all'][ $plugin_file ] );
! 			} elseif ( ( ! $screen->is_network && is_plugin_active( $plugin_file ) )
! 				|| ( $screen->is_network && is_plugin_active_for_network( $plugin_file ) ) ) {
  				$plugins['active'][ $plugin_file ] = $plugin_data;
  			} else {
! 				if ( ! $screen->is_network && isset( $recently_activated[ $plugin_file ] ) ) // Was the plugin recently activated?
  					$plugins['recently_activated'][ $plugin_file ] = $plugin_data;
  				$plugins['inactive'][ $plugin_file ] = $plugin_data;
  			}
--- 83,97 ----
  
  		foreach ( (array) $plugins['all'] as $plugin_file => $plugin_data ) {
  			// Filter into individual sections
! 			if ( is_multisite() && ! $screen->in_admin( 'network' ) && is_network_only_plugin( $plugin_file ) ) {
  				unset( $plugins['all'][ $plugin_file ] );
! 			} elseif ( ! $screen->in_admin( 'network' ) && is_plugin_active_for_network( $plugin_file ) ) {
  				unset( $plugins['all'][ $plugin_file ] );
! 			} elseif ( ( ! $screen->in_admin( 'network' ) && is_plugin_active( $plugin_file ) )
! 				|| ( $screen->in_admin( 'network' ) && is_plugin_active_for_network( $plugin_file ) ) ) {
  				$plugins['active'][ $plugin_file ] = $plugin_data;
  			} else {
! 				if ( ! $screen->in_admin( 'network' ) && isset( $recently_activated[ $plugin_file ] ) ) // Was the plugin recently activated?
  					$plugins['recently_activated'][ $plugin_file ] = $plugin_data;
  				$plugins['inactive'][ $plugin_file ] = $plugin_data;
  			}
***************
*** 140,146 ****
  	function _search_callback( $plugin ) {
  		static $term;
  		if ( is_null( $term ) )
! 			$term = stripslashes( $_REQUEST['s'] );
  
  		foreach ( $plugin as $value )
  			if ( stripos( $value, $term ) !== false )
--- 140,146 ----
  	function _search_callback( $plugin ) {
  		static $term;
  		if ( is_null( $term ) )
! 			$term = wp_unslash( $_REQUEST['s'] );
  
  		foreach ( $plugin as $value )
  			if ( stripos( $value, $term ) !== false )
***************
*** 237,248 ****
  		$actions = array();
  
  		if ( 'active' != $status )
! 			$actions['activate-selected'] = $this->screen->is_network ? __( 'Network Activate' ) : __( 'Activate' );
  
  		if ( 'inactive' != $status && 'recent' != $status )
! 			$actions['deactivate-selected'] = $this->screen->is_network ? __( 'Network Deactivate' ) : __( 'Deactivate' );
  
! 		if ( !is_multisite() || $this->screen->is_network ) {
  			if ( current_user_can( 'update_plugins' ) )
  				$actions['update-selected'] = __( 'Update' );
  			if ( current_user_can( 'delete_plugins' ) && ( 'active' != $status ) )
--- 237,248 ----
  		$actions = array();
  
  		if ( 'active' != $status )
! 			$actions['activate-selected'] = $this->screen->in_admin( 'network' ) ? __( 'Network Activate' ) : __( 'Activate' );
  
  		if ( 'inactive' != $status && 'recent' != $status )
! 			$actions['deactivate-selected'] = $this->screen->in_admin( 'network' ) ? __( 'Network Deactivate' ) : __( 'Deactivate' );
  
! 		if ( !is_multisite() || $this->screen->in_admin( 'network' ) ) {
  			if ( current_user_can( 'update_plugins' ) )
  				$actions['update-selected'] = __( 'Update' );
  			if ( current_user_can( 'delete_plugins' ) && ( 'active' != $status ) )
***************
*** 269,275 ****
  
  		echo '<div class="alignleft actions">';
  
! 		if ( ! $this->screen->is_network && 'recently_activated' == $status )
  			submit_button( __( 'Clear List' ), 'button', 'clear-recent-list', false );
  		elseif ( 'top' == $which && 'mustuse' == $status )
  			echo '<p>' . sprintf( __( 'Files in the <code>%s</code> directory are executed automatically.' ), str_replace( ABSPATH, '/', WPMU_PLUGIN_DIR ) ) . '</p>';
--- 269,275 ----
  
  		echo '<div class="alignleft actions">';
  
! 		if ( ! $this->screen->in_admin( 'network' ) && 'recently_activated' == $status )
  			submit_button( __( 'Clear List' ), 'button', 'clear-recent-list', false );
  		elseif ( 'top' == $which && 'mustuse' == $status )
  			echo '<p>' . sprintf( __( 'Files in the <code>%s</code> directory are executed automatically.' ), str_replace( ABSPATH, '/', WPMU_PLUGIN_DIR ) ) . '</p>';
***************
*** 289,295 ****
  	function display_rows() {
  		global $status;
  
! 		if ( is_multisite() && ! $this->screen->is_network && in_array( $status, array( 'mustuse', 'dropins' ) ) )
  			return;
  
  		foreach ( $this->items as $plugin_file => $plugin_data )
--- 289,295 ----
  	function display_rows() {
  		global $status;
  
! 		if ( is_multisite() && ! $this->screen->in_admin( 'network' ) && in_array( $status, array( 'mustuse', 'dropins' ) ) )
  			return;
  
  		foreach ( $this->items as $plugin_file => $plugin_data )
***************
*** 331,342 ****
  			if ( $plugin_data['Description'] )
  				$description .= '<p>' . $plugin_data['Description'] . '</p>';
  		} else {
! 			if ( $screen->is_network )
  				$is_active = is_plugin_active_for_network( $plugin_file );
  			else
  				$is_active = is_plugin_active( $plugin_file );
  
! 			if ( $screen->is_network ) {
  				if ( $is_active ) {
  					if ( current_user_can( 'manage_network_plugins' ) )
  						$actions['deactivate'] = '<a href="' . wp_nonce_url('plugins.php?action=deactivate&amp;plugin=' . $plugin_file . '&amp;plugin_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'deactivate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Deactivate this plugin') . '">' . __('Network Deactivate') . '</a>';
--- 331,342 ----
  			if ( $plugin_data['Description'] )
  				$description .= '<p>' . $plugin_data['Description'] . '</p>';
  		} else {
! 			if ( $screen->in_admin( 'network' ) )
  				$is_active = is_plugin_active_for_network( $plugin_file );
  			else
  				$is_active = is_plugin_active( $plugin_file );
  
! 			if ( $screen->in_admin( 'network' ) ) {
  				if ( $is_active ) {
  					if ( current_user_can( 'manage_network_plugins' ) )
  						$actions['deactivate'] = '<a href="' . wp_nonce_url('plugins.php?action=deactivate&amp;plugin=' . $plugin_file . '&amp;plugin_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'deactivate-plugin_' . $plugin_file) . '" title="' . esc_attr__('Deactivate this plugin') . '">' . __('Network Deactivate') . '</a>';
***************
*** 355,367 ****
  					if ( ! is_multisite() && current_user_can('delete_plugins') )
  						$actions['delete'] = '<a href="' . wp_nonce_url('plugins.php?action=delete-selected&amp;checked[]=' . $plugin_file . '&amp;plugin_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'bulk-plugins') . '" title="' . esc_attr__('Delete this plugin') . '" class="delete">' . __('Delete') . '</a>';
  				} // end if $is_active
! 			 } // end if $screen->is_network
  
! 			if ( ( ! is_multisite() || $screen->is_network ) && current_user_can('edit_plugins') && is_writable(WP_PLUGIN_DIR . '/' . $plugin_file) )
  				$actions['edit'] = '<a href="plugin-editor.php?file=' . $plugin_file . '" title="' . esc_attr__('Open this file in the Plugin Editor') . '" class="edit">' . __('Edit') . '</a>';
  		} // end if $context
  
! 		$prefix = $screen->is_network ? 'network_admin_' : '';
  		$actions = apply_filters( $prefix . 'plugin_action_links', array_filter( $actions ), $plugin_file, $plugin_data, $context );
  		$actions = apply_filters( $prefix . "plugin_action_links_$plugin_file", $actions, $plugin_file, $plugin_data, $context );
  
--- 355,367 ----
  					if ( ! is_multisite() && current_user_can('delete_plugins') )
  						$actions['delete'] = '<a href="' . wp_nonce_url('plugins.php?action=delete-selected&amp;checked[]=' . $plugin_file . '&amp;plugin_status=' . $context . '&amp;paged=' . $page . '&amp;s=' . $s, 'bulk-plugins') . '" title="' . esc_attr__('Delete this plugin') . '" class="delete">' . __('Delete') . '</a>';
  				} // end if $is_active
! 			 } // end if $screen->in_admin( 'network' )
  
! 			if ( ( ! is_multisite() || $screen->in_admin( 'network' ) ) && current_user_can('edit_plugins') && is_writable(WP_PLUGIN_DIR . '/' . $plugin_file) )
  				$actions['edit'] = '<a href="plugin-editor.php?file=' . $plugin_file . '" title="' . esc_attr__('Open this file in the Plugin Editor') . '" class="edit">' . __('Edit') . '</a>';
  		} // end if $context
  
! 		$prefix = $screen->in_admin( 'network' ) ? 'network_admin_' : '';
  		$actions = apply_filters( $prefix . 'plugin_action_links', array_filter( $actions ), $plugin_file, $plugin_data, $context );
  		$actions = apply_filters( $prefix . "plugin_action_links_$plugin_file", $actions, $plugin_file, $plugin_data, $context );
  
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.6.pl /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-posts-list-table.php /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-posts-list-table.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/class-wp-posts-list-table.php	2012-11-07 14:54:08.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.6/wp-admin/includes/class-wp-posts-list-table.php	2013-07-23 10:04:55.000000000 -0500
***************
*** 382,389 ****
  			if ( $count >= $end )
  				break;
  
! 			if ( $count >= $start )
! 				echo "\t" . $this->single_row( $page, $level );
  
  			$count++;
  
--- 382,391 ----
  			if ( $count >= $end )
  				break;
  
! 			if ( $count >= $start ) {
! 				echo "\t";
! 				$this->single_row( $page, $level );
! 			}
  
  			$count++;
  
***************
*** 397,404 ****
  				foreach ( $orphans as $op ) {
  					if ( $count >= $end )
  						break;
! 					if ( $count >= $start )
! 						echo "\t" . $this->single_row( $op, 0 );
  					$count++;
  				}
  			}
--- 399,410 ----
  				foreach ( $orphans as $op ) {
  					if ( $count >= $end )
  						break;
! 
! 					if ( $count >= $start ) {
! 						echo "\t";
! 						$this->single_row( $op, 0 );
! 					}
! 
  					$count++;
  				}
  			}
***************
*** 444,456 ****
  				}
  				$num_parents = count( $my_parents );
  				while ( $my_parent = array_pop( $my_parents ) ) {
! 					echo "\t" . $this->single_row( $my_parent, $level - $num_parents );
  					$num_parents--;
  				}
  			}
  
! 			if ( $count >= $start )
! 				echo "\t" . $this->single_row( $page, $level );
  
  			$count++;
  
--- 450,465 ----
  				}
  				$num_parents = count( $my_parents );
  				while ( $my_parent = array_pop( $my_parents ) ) {
! 					echo "\t";
! 					$this->single_row( $my_parent, $level - $num_parents );
  					$num_parents--;
  				}
  			}
  
! 			if ( $count >= $start ) {
! 				echo "\t";
! 				$this->single_row( $page, $level );
! 			}
  
  			$count++;
  
***************
*** 471,480 ****
  		$edit_link = get_edit_post_link( $post->ID );
  		$title = _draft_or_post_title();
  		$post_type_object = get_post_type_object( $post->post_type );
! 		$can_edit_post = current_user_can( $post_type_object->cap->edit_post, $post->ID );
  
  		$alternate = 'alternate' == $alternate ? '' : 'alternate';
  		$classes = $alternate . ' iedit author-' . ( get_current_user_id() == $post->post_author ? 'self' : 'other' );
  	?>
  		<tr id="post-<?php echo $post->ID; ?>" class="<?php echo implode( ' ', get_post_class( $classes, $post->ID ) ); ?>" valign="top">
  	<?php
--- 480,495 ----
  		$edit_link = get_edit_post_link( $post->ID );
  		$title = _draft_or_post_title();
  		$post_type_object = get_post_type_object( $post->post_type );
! 		$can_edit_post = current_user_can( 'edit_post', $post->ID );
  
  		$alternate = 'alternate' == $alternate ? '' : 'alternate';
  		$classes = $alternate . ' iedit author-' . ( get_current_user_id() == $post->post_author ? 'self' : 'other' );
+ 
+ 		$lock_holder = wp_check_post_lock( $post->ID );
+ 		if ( $lock_holder ) {
+ 			$classes .= ' wp-locked';
+ 			$lock_holder = get_userdata( $lock_holder );
+ 		}
  	?>
  		<tr id="post-<?php echo $post->ID; ?>" class="<?php echo implode( ' ', get_post_class( $classes, $post->ID ) ); ?>" valign="top">
  	<?php
***************
*** 495,512 ****
  			case 'cb':
  			?>
  			<th scope="row" class="check-column">
! 				<?php if ( $can_edit_post ) { ?>
  				<label class="screen-reader-text" for="cb-select-<?php the_ID(); ?>"><?php printf( __( 'Select %s' ), $title ); ?></label>
  				<input id="cb-select-<?php the_ID(); ?>" type="checkbox" name="post[]" value="<?php the_ID(); ?>" />
! 				<?php } ?>
  			</th>
  			<?php
  			break;
  
  			case 'title':
  				if ( $this->hierarchical_display ) {
- 					$attributes = 'class="post-title page-title column-title"' . $style;
- 
  					if ( 0 == $level && (int) $post->post_parent > 0 ) {
  						//sent level 0 by accident, by default, or because we don't know the actual level
  						$find_main_page = (int) $post->post_parent;
--- 510,532 ----
  			case 'cb':
  			?>
  			<th scope="row" class="check-column">
! 				<?php
! 				if ( $can_edit_post ) {
! 
! 				?>
  				<label class="screen-reader-text" for="cb-select-<?php the_ID(); ?>"><?php printf( __( 'Select %s' ), $title ); ?></label>
  				<input id="cb-select-<?php the_ID(); ?>" type="checkbox" name="post[]" value="<?php the_ID(); ?>" />
! 				<div class="locked-indicator"></div>
! 				<?php
! 				}
! 				?>
  			</th>
  			<?php
  			break;
  
  			case 'title':
+ 				$attributes = 'class="post-title page-title column-title"' . $style;
  				if ( $this->hierarchical_display ) {
  					if ( 0 == $level && (int) $post->post_parent > 0 ) {
  						//sent level 0 by accident, by default, or because we don't know the actual level
  						$find_main_page = (int) $post->post_parent;
***************
*** 523,551 ****
  								$parent_name = apply_filters( 'the_title', $parent->post_title, $parent->ID );
  						}
  					}
  
! 					$pad = str_repeat( '&#8212; ', $level );
! ?>
! 			<td <?php echo $attributes ?>><strong><?php if ( $can_edit_post && $post->post_status != 'trash' ) { ?><a class="row-title" href="<?php echo $edit_link; ?>" title="<?php echo esc_attr( sprintf( __( 'Edit &#8220;%s&#8221;' ), $title ) ); ?>"><?php echo $pad; echo $title ?></a><?php } else { echo $pad; echo $title; }; _post_states( $post ); echo isset( $parent_name ) ? ' | ' . $post_type_object->labels->parent_item_colon . ' ' . esc_html( $parent_name ) : ''; ?></strong>
! <?php
  				}
- 				else {
- 					$attributes = 'class="post-title page-title column-title"' . $style;
  
! 					$pad = str_repeat( '&#8212; ', $level );
! ?>
! 			<td <?php echo $attributes ?>><strong><?php if ( $can_edit_post && $post->post_status != 'trash' ) { ?><a class="row-title" href="<?php echo $edit_link; ?>" title="<?php echo esc_attr( sprintf( __( 'Edit &#8220;%s&#8221;' ), $title ) ); ?>"><?php echo $pad; echo $title ?></a><?php } else { echo $pad; echo $title; }; _post_states( $post ); ?></strong>
! <?php
! 					if ( 'excerpt' == $mode && current_user_can( 'read_post', $post->ID ) )
! 						the_excerpt();
  				}
  
  				$actions = array();
  				if ( $can_edit_post && 'trash' != $post->post_status ) {
  					$actions['edit'] = '<a href="' . get_edit_post_link( $post->ID, true ) . '" title="' . esc_attr( __( 'Edit this item' ) ) . '">' . __( 'Edit' ) . '</a>';
  					$actions['inline hide-if-no-js'] = '<a href="#" class="editinline" title="' . esc_attr( __( 'Edit this item inline' ) ) . '">' . __( 'Quick&nbsp;Edit' ) . '</a>';
  				}
! 				if ( current_user_can( $post_type_object->cap->delete_post, $post->ID ) ) {
  					if ( 'trash' == $post->post_status )
  						$actions['untrash'] = "<a title='" . esc_attr( __( 'Restore this item from the Trash' ) ) . "' href='" . wp_nonce_url( admin_url( sprintf( $post_type_object->_edit_link . '&amp;action=untrash', $post->ID ) ), 'untrash-post_' . $post->ID ) . "'>" . __( 'Restore' ) . "</a>";
  					elseif ( EMPTY_TRASH_DAYS )
--- 543,591 ----
  								$parent_name = apply_filters( 'the_title', $parent->post_title, $parent->ID );
  						}
  					}
+ 				}
  
! 				$pad = str_repeat( '&#8212; ', $level );
! 				echo "<td $attributes><strong>";
! 
! 				if ( $format = get_post_format( $post->ID ) ) {
! 					$label = get_post_format_string( $format );
! 
! 					echo '<a href="' . esc_url( add_query_arg( array( 'post_format' => $format, 'post_type' => $post->post_type ), 'edit.php' ) ) . '" class="post-state-format post-format-icon post-format-' . $format . '" title="' . $label . '">' . $label . ":</a> ";
  				}
  
! 				if ( $can_edit_post && $post->post_status != 'trash' ) {
! 					echo '<a class="row-title" href="' . $edit_link . '" title="' . esc_attr( sprintf( __( 'Edit &#8220;%s&#8221;' ), $title ) ) . '">' . $pad . $title . '</a>';
! 				} else {
! 					echo $pad . $title;
! 				}
! 				_post_states( $post );
! 
! 				if ( isset( $parent_name ) )
! 					echo ' | ' . $post_type_object->labels->parent_item_colon . ' ' . esc_html( $parent_name );
! 
! 				echo "</strong>\n";
! 
! 				if ( $can_edit_post && $post->post_status != 'trash' ) {
! 					if ( $lock_holder ) {
! 						$locked_avatar = get_avatar( $lock_holder->ID, 18 );
! 						$locked_text = esc_html( sprintf( __( '%s is currently editing' ), $lock_holder->display_name ) );
! 					} else {
! 						$locked_avatar = $locked_text = '';
! 					}
! 
! 					echo '<div class="locked-info"><span class="locked-avatar">' . $locked_avatar . '</span> <span class="locked-text">' . $locked_text . "</span></div>\n";
  				}
  
+ 				if ( ! $this->hierarchical_display && 'excerpt' == $mode && current_user_can( 'read_post', $post->ID ) )
+ 						the_excerpt();
+ 
  				$actions = array();
  				if ( $can_edit_post && 'trash' != $post->post_status ) {
  					$actions['edit'] = '<a href="' . get_edit_post_link( $post->ID, true ) . '" title="' . esc_attr( __( 'Edit this item' ) ) . '">' . __( 'Edit' ) . '</a>';
  					$actions['inline hide-if-no-js'] = '<a href="#" class="editinline" title="' . esc_attr( __( 'Edit this item inline' ) ) . '">' . __( 'Quick&nbsp;Edit' ) . '</a>';
  				}
! 				if ( current_user_can( 'delete_post', $post->ID ) ) {
  					if ( 'trash' == $post->post_status )
  						$actions['untrash'] = "<a title='" . esc_attr( __( 'Restore this item from the Trash' ) ) . "' href='" . wp_nonce_url( admin_url( sprintf( $post_type_object->_edit_link . '&amp;action=untrash', $post->ID ) ), 'untrash-post_' . $post->ID ) . "'>" . __( 'Restore' ) . "</a>";
  					elseif ( EMPTY_TRASH_DAYS )
***************
*** 556,562 ****
  				if ( $post_type_object->public ) {
  					if ( in_array( $post->post_status, array( 'pending', 'draft', 'future' ) ) ) {
  						if ( $can_edit_post )
! 							$actions['view'] = '<a href="' . esc_url( add_query_arg( 'preview', 'true', get_permalink( $post->ID ) ) ) . '" title="' . esc_attr( sprintf( __( 'Preview &#8220;%s&#8221;' ), $title ) ) . '" rel="permalink">' . __( 'Preview' ) . '</a>';
  					} elseif ( 'trash' != $post->post_status ) {
  						$actions['view'] = '<a href="' . get_permalink( $post->ID ) . '" title="' . esc_attr( sprintf( __( 'View &#8220;%s&#8221;' ), $title ) ) . '" rel="permalink">' . __( 'View' ) . '</a>';
  					}
--- 596,602 ----
  				if ( $post_type_object->public ) {
  					if ( in_array( $post->post_status, array( 'pending', 'draft', 'future' ) ) ) {
  						if ( $can_edit_post )
! 							$actions['view'] = '<a href="' . esc_url( apply_filters( 'preview_post_link', set_url_scheme( add_query_arg( 'preview', 'true', get_permalink( $post->ID ) ) ) ) ) . '" title="' . esc_attr( sprintf( __( 'Preview &#8220;%s&#8221;' ), $title ) ) . '" rel="permalink">' . __( 'Preview' ) . '</a>';
  					} elseif ( 'trash' != $post->post_status ) {
  						$actions['view'] = '<a href="' . get_permalink( $post->ID ) . '" title="' . esc_attr( sprintf( __( 'View &#8220;%s&#8221;' ), $title ) ) . '" rel="permalink">' . __( 'View' ) . '</a>';
  					}
***************
*** 820,829 ****
  
  	<?php foreach ( $hierarchical_taxonomies as $taxonomy ) : ?>
  
! 			<span class="title inline-edit-categories-label"><?php echo esc_html( $taxonomy->labels->name ) ?>
! 				<span class="catshow"><?php _e( '[more]' ); ?></span>
! 				<span class="cathide" style="display:none;"><?php _e( '[less]' ); ?></span>
! 			</span>
  			<input type="hidden" name="<?php echo ( $taxonomy->name == 'category' ) ? 'post_category[]' : 'tax_input[' . esc_attr( $taxonomy->name ) . '][]'; ?>" value="0" />
  			<ul class="cat-checklist <?php echo esc_attr( $taxonomy->name )?>-checklist">
  				<?php wp_terms_checklist( null, array( 'taxonomy' => $taxonomy->name ) ) ?>
--- 860,866 ----
  
  	<?php foreach ( $hierarchical_taxonomies as $taxonomy ) : ?>
  
! 			<span class="title inline-edit-categories-label"><?php echo esc_html( $taxonomy->labels->name ) ?></span>
  			<input type="hidden" name="<?php echo ( $taxonomy->name == 'category' ) ? 'post_category[]' : 'tax_input[' . esc_attr( $taxonomy->name ) . '][]'; ?>" value="0" />
  			<ul class="cat-checklist <?php echo esc_attr( $taxonomy->name )?>-checklist">
  				<?php wp_terms_checklist( null, array( 'taxonomy' => $taxonomy->name ) ) ?>
***************
*** 997,1028 ****
  	<?php endif; // 'post' && $can_publish && current_user_can( 'edit_others_cap' ) ?>
  
  			</div>
- 
- 	<?php if ( post_type_supports( $screen->post_type, 'post-formats' ) && current_theme_supports( 'post-formats' ) ) :
- 		$post_formats = get_theme_support( 'post-formats' );
- 		if ( isset( $post_formats[0] ) && is_array( $post_formats[0] ) ) :
- 			$all_post_formats = get_post_format_strings();
- 			unset( $all_post_formats['standard'] ); ?>
- 			<div class="inline-edit-group">
- 				<label class="alignleft" for="post_format">
- 				<span class="title"><?php _ex( 'Format', 'post format' ); ?></span>
- 				<select name="post_format">
- 				<?php if ( $bulk ) : ?>
- 					<option value="-1"><?php _e( '&mdash; No Change &mdash;' ); ?></option>
- 				<?php endif; ?>
- 					<option value="0"><?php _ex( 'Standard', 'Post format' ); ?></option>
- 				<?php foreach ( $all_post_formats as $slug => $format ) :
- 					$unsupported = ! in_array( $slug, $post_formats[0] );
- 					if ( $bulk && $unsupported )
- 						continue;
- 					?>
- 					<option value="<?php echo esc_attr( $slug ); ?>"<?php if ( $unsupported ) echo ' class="unsupported"'; ?>><?php echo esc_html( $format ); ?></option>
- 				<?php endforeach; ?>
- 				</select></label>
- 			</div>
- 		<?php endif; ?>
- 	<?php endif; // post-formats ?>
- 
  		</div></fieldset>
  
  	<?php
--- 1034,1039 ----
***************
*** 1035,1046 ****
  		}
  	?>
  		<p class="submit inline-edit-save">
! 			<a accesskey="c" href="#inline-edit" title="<?php esc_attr_e( 'Cancel' ); ?>" class="button-secondary cancel alignleft"><?php _e( 'Cancel' ); ?></a>
  			<?php if ( ! $bulk ) {
  				wp_nonce_field( 'inlineeditnonce', '_inline_edit', false );
- 				$update_text = __( 'Update' );
  				?>
! 				<a accesskey="s" href="#inline-edit" title="<?php esc_attr_e( 'Update' ); ?>" class="button-primary save alignright"><?php echo esc_attr( $update_text ); ?></a>
  				<span class="spinner"></span>
  			<?php } else {
  				submit_button( __( 'Update' ), 'button-primary alignright', 'bulk_edit', false, array( 'accesskey' => 's' ) );
--- 1046,1056 ----
  		}
  	?>
  		<p class="submit inline-edit-save">
! 			<a accesskey="c" href="#inline-edit" class="button-secondary cancel alignleft"><?php _e( 'Cancel' ); ?></a>
  			<?php if ( ! $bulk ) {
  				wp_nonce_field( 'inlineeditnonce', '_inline_edit', false );
  				?>
! 				<a accesskey="s" href="#inline-edit" class="button-primary save alignright"><?php _e( 'Update' ); ?></a>
  				<span class="spinner"></span>
  			<?php } else {
  				submit_button( __( 'Update' ), 'button-primary alignright', 'bulk_edit', false, array( 'accesskey' => 's' ) );
